Package com.sun.jna.platform.win32

# Enum Class HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE

java.lang.Object
java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE>
com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE>`, `Constable`

Enclosing interface:
  HighLevelMonitorConfigurationAPI

public static enum HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE extends Enum<HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE>
Identifies monitor display technologies.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE.ByReference`
  Defines a Reference to the enum

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MC_APERTURE_GRILL_CATHODE_RAY_TUBE`
  Aperture-grill CRT.
  `MC_ELECTROLUMINESCENT`
  Electroluminescent display.
  `MC_FIELD_EMISSION_DEVICE`
  Field emission device (FED) display.
  `MC_LIQUID_CRYSTAL_ON_SILICON`
  Liquid crystal on silicon (LCOS) display.
  `MC_MICROELECTROMECHANICAL`
  Microelectromechanical display.
  `MC_ORGANIC_LIGHT_EMITTING_DIODE`
  Organic light emitting diode (LED) display.
  `MC_PLASMA`
  Plasma display.
  `MC_SHADOW_MASK_CATHODE_RAY_TUBE`
  Shadow-mask cathode ray tube (CRT).
  `MC_THIN_FILM_TRANSISTOR`
  Thin-film transistor (TFT) display.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MC_SHADOW_MASK_CATHODE_RAY_TUBE

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_SHADOW_MASK_CATHODE_RAY_TUBE
    Shadow-mask cathode ray tube (CRT).

  - ### MC_APERTURE_GRILL_CATHODE_RAY_TUBE

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_APERTURE_GRILL_CATHODE_RAY_TUBE
    Aperture-grill CRT.

  - ### MC_THIN_FILM_TRANSISTOR

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_THIN_FILM_TRANSISTOR
    Thin-film transistor (TFT) display.

  - ### MC_LIQUID_CRYSTAL_ON_SILICON

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_LIQUID_CRYSTAL_ON_SILICON
    Liquid crystal on silicon (LCOS) display.

  - ### MC_PLASMA

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_PLASMA
    Plasma display.

  - ### MC_ORGANIC_LIGHT_EMITTING_DIODE

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_ORGANIC_LIGHT_EMITTING_DIODE
    Organic light emitting diode (LED) display.

  - ### MC_ELECTROLUMINESCENT

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_ELECTROLUMINESCENT
    Electroluminescent display.

  - ### MC_MICROELECTROMECHANICAL

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_MICROELECTROMECHANICAL
    Microelectromechanical display.

  - ### MC_FIELD_EMISSION_DEVICE

    public static final HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE MC_FIELD_EMISSION_DEVICE
    Field emission device (FED) display.

- ## Method Details

  - ### values

    public static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_DISPLAY_TECHNOLOGY_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null